Package org.eclipse.cdt.core

# Interface ICOwner

@Deprecated public interface ICOwner
Deprecated.

Restriction:
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(ICDescriptor cproject)`
Deprecated.
`void`
`update(ICDescriptor cproject, String extensionID)`
Deprecated.

## Method Details

### configure

void configure(ICDescriptor cproject) throws org.eclipse.core.runtime.CoreException
Deprecated.

Throws:
  `org.eclipse.core.runtime.CoreException`

### update

void update(ICDescriptor cproject, String extensionID) throws org.eclipse.core.runtime.CoreException
Deprecated.

Throws:
  `org.eclipse.core.runtime.CoreException`